void
vis_bdd_edge (BDD * from, BDD * to, FILE * file, int max_level,
	      int label_node, char color)
{
  int level = 2 * (max_level - from->idx);
  char label[20];

  if (label_node)
    sprintf (label, "@%d:a'%d", level, from->idx);
  else
    label[0] = 0;

  if (sign_bdd (to))
    {
      to = not_bdd (to);
      fprintf (file, "%x%s>not%xto%x:n%c\n", (unsigned) from,
	       label, (unsigned) from, (unsigned) to, color);
      fprintf (file, "not%xto%x@%d:f>%x:%c\n", (unsigned) from, (unsigned) to,
	       level + 1, (unsigned) to, color);
    }
  else
    {
      fprintf (file, "%x%s>dummy%xto%x:n%c\n", (unsigned) from,
	       label, (unsigned) from, (unsigned) to, color);
      fprintf (file, "dummy%xto%x@%d:r>%x:%c\n", (unsigned) from,
	       (unsigned) to, level + 1, (unsigned) to, color);
    }
}
